Get Scan Job
curl --request GET \
--url https://api.agentpowers.ai/v1/security/jobs/{job_id}import requests
url = "https://api.agentpowers.ai/v1/security/jobs/{job_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentpowers.ai/v1/security/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"slug": "<string>",
"status": "<string>",
"created_at": "<string>",
"version": "<string>",
"skill_type": "skill",
"attempt": 0,
"outcome": "<string>",
"score": 123,
"findings": [
{}
],
"error_message": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}security
Get Scan Job
Get the status of a scan job (authenticated).
GET
/
v1
/
security
/
jobs
/
{job_id}
Get Scan Job
curl --request GET \
--url https://api.agentpowers.ai/v1/security/jobs/{job_id}import requests
url = "https://api.agentpowers.ai/v1/security/jobs/{job_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.agentpowers.ai/v1/security/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"slug": "<string>",
"status": "<string>",
"created_at": "<string>",
"version": "<string>",
"skill_type": "skill",
"attempt": 0,
"outcome": "<string>",
"score": 123,
"findings": [
{}
],
"error_message": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Response
Successful Response
Full scan job status.
Was this page helpful?